#include "channel.h"
#include <qfile.h>
#include <qtextstream.h>
#include <qstringlist.h>
#include <qregexp.h>
#include <qtextcodec.h>

bool channelInfo::load(QString filename)
{
  QFile file(filename);
  if (!file.open(IO_ReadOnly))
    return false;

  QTextStream in(&file);
  QString str;
  QTextCodec *codec = QTextCodec::codecForName("UTF-8");
  in.setCodec(codec);

  clear();

  while (!in.atEnd()) {
    QStringList list;

    str = in.readLine();
    printf("%s\n", (const char *)str.utf8());

    str.replace(QRegExp("#.*"), "");

    list = QStringList::split(",", str, TRUE);
    if (list.count() != 2)
      return true;

    QString name, cmd;
    struct channel_info *info = new struct channel_info;
    info->name = list[0].stripWhiteSpace();
    info->cmd = list[1].stripWhiteSpace();
    append(info);
  }
  return true;
}
